LIBSANITY(3X)

NAME
libsanity - libc routines with runtime sanity checking

SYNOPSIS
cc file.c -lsanity

DESCRIPTION
Libsanity contains libc routines with runtime sanity checks. This is useful when debugging ports of code to a new machine where previously hidden code bugs now appear.

ROUTINES

free(ptr) char *ptr;
    Free checks to assure that the area being freed was memory that was previously obtained by a malloc(3), calloc(3), or realloc(3).

DIAGNOSTICS

A descriptive error message is printed to stderr and the routine abort(3) is called when a sanity assertion fails. This attempts to produce a core file.

FILES
/usr/lib/libsanity.a

BUGS

Many more routines need to be added to this library.